

        <head> <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

        </head>
        
        <h1> <strong>  Liste des Stations </strong> </h1>
          <div class="panel-body">
          
                
                <div class="form-group">
                        <input type="search"[(ngModel)]="motcle" placeholder=" Saisir un mot clé">
                <button class=" btn btn-secondary" (click)="chercher()"> <i class="glyphicon glyphicon-search"></i></button> 
                </div>
        
              <table class="table table-striped table-bordered" class="table table-hover">
                  <thead>
                      <tr>
                          <th>#</th>
                          <th>Adresse</th>
                          <th>Nom du station</th>
                          <th>Longitude</th>
                          <th>Altitude</th>
                          <th>Niveau zoom</th>
                         <th> Actions</th>
                      </tr>
                  </thead>
                  <tbody>
                     <tr *ngFor="let station of stations">
                         <td> {{station.id_station}}</td>
                         <td> {{station.adresse}}</td>
                         <td> {{station.nom}}</td>
                         <td> {{station.longitude}}</td>
                         <td> {{station.altitude}}</td>
                         <td> {{station.niveau_zoom}}</td>
                      
                         <td><img (click)="deleteStation(station.id_station)" src="assets/images/supprimer.png " width=" 30" height="30" title="supprimer">
                            &nbsp;
                       <img (click)="UpdateStation(station)" src="assets/images/modifier.png " width=" 30" height="30" title="modifier"> </td>
        
                     </tr>
                  </tbody>
              </table>
          </div>
          <br> <br>
          <router-outlet> </router-outlet>
        